Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class DecisionDeliveryType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.DecisionDeliveryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class DecisionDeliveryType

extends Object
implements Serializable

Generiek type voor de beslissing van een aflevering.

Java class for DecisionDeliveryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionDeliveryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DecisionDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DeliveryStatusType"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="ApplicationStatus" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationStatusType"/>
             <element name="ApplicationStatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DecisionDeliveryType()`

Method Summary
`ApplicationStatusType` | `getApplicationStatus()` Gets the value of the applicationStatus property.
`org.joda.time.DateTime` | `getApplicationStatusDate()` Gets the value of the applicationStatusDate property.
`org.joda.time.DateTime` | `getDecisionDate()` Gets the value of the decisionDate property.
`List<String>` | `getReasons()` Gets the value of the reasons property.
`DeliveryStatusType` | `getStatus()` Gets the value of the status property.
`org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
`void` | `setApplicationStatus(ApplicationStatusType value)` Sets the value of the applicationStatus property.
`void` | `setApplicationStatusDate(org.joda.time.DateTime value)` Sets the value of the applicationStatusDate property.
`void` | `setDecisionDate(org.joda.time.DateTime value)` Sets the value of the decisionDate property.
`void` | `setStatus(DeliveryStatusType value)` Sets the value of the status property.
`void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionDeliveryType

    public DecisionDeliveryType()

Method Detail

### getDecisionDate

    public org.joda.time.DateTime getDecisionDate()

  Gets the value of the decisionDate property.

  Returns:
    possible object is `String`

### setDecisionDate

    public void setDecisionDate(org.joda.time.DateTime value)

  Sets the value of the decisionDate property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public DeliveryStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `DeliveryStatusType`

### setStatus

    public void setStatus(DeliveryStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `DeliveryStatusType`

### getStatusDate

    public org.joda.time.DateTime getStatusDate()

  Gets the value of the statusDate property.

  Returns:
    possible object is `String`

### setStatusDate

    public void setStatusDate(org.joda.time.DateTime value)

  Sets the value of the statusDate property.

  Parameters:
    `value` - allowed object is `String`

### getApplicationStatus

    public ApplicationStatusType getApplicationStatus()

  Gets the value of the applicationStatus property.

  Returns:
    possible object is `ApplicationStatusType`

### setApplicationStatus

    public void setApplicationStatus(ApplicationStatusType value)

  Sets the value of the applicationStatus property.

  Parameters:
    `value` - allowed object is `ApplicationStatusType`

### getApplicationStatusDate

    public org.joda.time.DateTime getApplicationStatusDate()

  Gets the value of the applicationStatusDate property.

  Returns:
    possible object is `String`

### setApplicationStatusDate

    public void setApplicationStatusDate(org.joda.time.DateTime value)

  Sets the value of the applicationStatusDate property.

  Parameters:
    `value` - allowed object is `String`

### getReasons

    public List<String> getReasons()

  Gets the value of the reasons property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

  For example, to add a new item, do as follows:

          getReasons().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.